## python-pyqtlet2 0.9.3

=== requirements.txt ===
QtPy>=2.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pyqtlet
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pyqtlet2 (0.9.3-3) unstable; urgency=medium

  * Redo autopkgtest,
    limit it to architectures where python3-pyqt6.qtwebengine is available.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 27 Jun 2025 12:25:33 +0200

python-pyqtlet2 (0.9.3-2) unstable; urgency=medium

  * Re-upload as source-only

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Jun 2025 13:34:13 +0200

python-pyqtlet2 (0.9.3-1) unstable; urgency=medium

  * Initial upload (Closes: #1088210)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Jun 2025 20:20:45 +0200

=== debian/control ===
Source: python-pyqtlet2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dbus-daemon <!nocheck>,
 pybuild-plugin-pyproject,
 python3,
 python3-pyqt6 <!nocheck>,
 python3-pyqt6.qtwebchannel <!nocheck>,
 python3-pyqt6.qtwebengine <!nocheck>,
 python3-qtpy <!nocheck>,
 python3-setuptools,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyqtlet2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyqtlet2.git
Homepage: https://pypi.org/project/pyqtlet2/
X-Style: black

Package: python3-pyqtlet2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python Leaflet map wrapper for Qt bindings
 This is a fork of the repository pyqtlet from @skylarkdrones.
 Since the original repository is not further maintained.
 Since I find this package very useful for a map implementation
 in the QT environment, I want to further develop this package.

=== debian/rules ===
#!/usr/bin/make -f

export HOME=/tmp/home
export XDG_RUNTIME_DIR=/tmp/run

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	mkdir -p $(HOME)
	mkdir -p $(XDG_RUNTIME_DIR)
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dbus-run-session dh_auto_test

=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 dbus-daemon,
 python3-pyqt6,
 python3-pyqt6.qtwebchannel,
 python3-pyqt6.qtwebengine,
 python3-pytest,
 python3-qtpy,
 xauth,
 xvfb,
 @,
Architecture: amd64 arm64 armhf i386
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/python-pyqtlet2-$1/,uversionmangle=s/rc/~rc/g" \
 https://github.com/JaWeilBaum/pyqtlet2/tags .*/(\d[\d\.a-z]+)\.tar\.gz
